#ifndef _H_89FADC51DE7C5E0B8BB2DBA98153E391_Stop__H_
#define _H_89FADC51DE7C5E0B8BB2DBA98153E391_Stop__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace grbl_msgs
{
    namespace srv
    {
        namespace dds_
        {
            struct  Stop_Request_
            {
                ::DDS::String_mgr machine_id_;
                ::DDS::String_mgr command_;
            };

            typedef DDS_DCPSStruct_var<Stop_Request_> Stop_Request__var;
            typedef DDS_DCPSStruct_out < Stop_Request_> Stop_Request__out;

            struct  Stop_Response_
            {
                ::DDS::Boolean success_;
            };

            typedef DDS_DCPSStruct_var<Stop_Response_> Stop_Response__var;
            typedef Stop_Response_& Stop_Response__out;

            struct  Sample_Stop_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::srv::dds_::Stop_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Stop_Request_> Sample_Stop_Request__var;
            typedef DDS_DCPSStruct_out < Sample_Stop_Request_> Sample_Stop_Request__out;

            struct  Sample_Stop_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::srv::dds_::Stop_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Stop_Response_> Sample_Stop_Response__var;
            typedef Sample_Stop_Response_& Sample_Stop_Response__out;

        }

    }

}

#endif /* _H_89FADC51DE7C5E0B8BB2DBA98153E391_Stop__H_ */
