#ifndef _H_89FADC51DE7C5E0B8BB2DBA98153E391_Stop_DCPS_H_
#define _H_89FADC51DE7C5E0B8BB2DBA98153E391_Stop_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "Stop_.h"


namespace grbl_msgs
{
    namespace srv
    {
        namespace dds_
        {
            class Stop_Request_TypeSupportInterface;

            typedef Stop_Request_TypeSupportInterface * Stop_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Stop_Request_TypeSupportInterface> Stop_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Stop_Request_TypeSupportInterface> Stop_Request_TypeSupportInterface_out;


            class Stop_Request_DataWriter;

            typedef Stop_Request_DataWriter * Stop_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Stop_Request_DataWriter> Stop_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Stop_Request_DataWriter> Stop_Request_DataWriter_out;


            class Stop_Request_DataReader;

            typedef Stop_Request_DataReader * Stop_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Stop_Request_DataReader> Stop_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Stop_Request_DataReader> Stop_Request_DataReader_out;


            class Stop_Request_DataReaderView;

            typedef Stop_Request_DataReaderView * Stop_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Stop_Request_DataReaderView> Stop_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Stop_Request_DataReaderView> Stop_Request_DataReaderView_out;

            struct Stop_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Stop_Request_, struct Stop_Request_Seq_uniq_> Stop_Request_Seq;
            typedef DDS_DCPSSequence_var < Stop_Request_Seq> Stop_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Stop_Request_Seq> Stop_Request_Seq_out;

            class  Stop_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Stop_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Stop_Request_TypeSupportInterface_var _var_type;

                static Stop_Request_TypeSupportInterface_ptr _duplicate (Stop_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Stop_Request_TypeSupportInterface () {};
                ~Stop_Request_TypeSupportInterface () {};
            private:
                Stop_Request_TypeSupportInterface (const Stop_Request_TypeSupportInterface &);
                Stop_Request_TypeSupportInterface & operator = (const Stop_Request_TypeSupportInterface &);
            };

            class  Stop_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Stop_Request_DataWriter_ptr _ptr_type;
                typedef Stop_Request_DataWriter_var _var_type;

                static Stop_Request_DataWriter_ptr _duplicate (Stop_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Stop_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Stop_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Request_& instance_data) = 0;

            protected:
                Stop_Request_DataWriter () {};
                ~Stop_Request_DataWriter () {};
            private:
                Stop_Request_DataWriter (const Stop_Request_DataWriter &);
                Stop_Request_DataWriter & operator = (const Stop_Request_DataWriter &);
            };

            class  Stop_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Stop_Request_DataReader_ptr _ptr_type;
                typedef Stop_Request_DataReader_var _var_type;

                static Stop_Request_DataReader_ptr _duplicate (Stop_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Request_& instance) = 0;

            protected:
                Stop_Request_DataReader () {};
                ~Stop_Request_DataReader () {};
            private:
                Stop_Request_DataReader (const Stop_Request_DataReader &);
                Stop_Request_DataReader & operator = (const Stop_Request_DataReader &);
            };

            class  Stop_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Stop_Request_DataReaderView_ptr _ptr_type;
                typedef Stop_Request_DataReaderView_var _var_type;

                static Stop_Request_DataReaderView_ptr _duplicate (Stop_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Request_& instance) = 0;

            protected:
                Stop_Request_DataReaderView () {};
                ~Stop_Request_DataReaderView () {};
            private:
                Stop_Request_DataReaderView (const Stop_Request_DataReaderView &);
                Stop_Request_DataReaderView & operator = (const Stop_Request_DataReaderView &);
            };
            class Stop_Response_TypeSupportInterface;

            typedef Stop_Response_TypeSupportInterface * Stop_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Stop_Response_TypeSupportInterface> Stop_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Stop_Response_TypeSupportInterface> Stop_Response_TypeSupportInterface_out;


            class Stop_Response_DataWriter;

            typedef Stop_Response_DataWriter * Stop_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Stop_Response_DataWriter> Stop_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Stop_Response_DataWriter> Stop_Response_DataWriter_out;


            class Stop_Response_DataReader;

            typedef Stop_Response_DataReader * Stop_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Stop_Response_DataReader> Stop_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Stop_Response_DataReader> Stop_Response_DataReader_out;


            class Stop_Response_DataReaderView;

            typedef Stop_Response_DataReaderView * Stop_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Stop_Response_DataReaderView> Stop_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Stop_Response_DataReaderView> Stop_Response_DataReaderView_out;

            struct Stop_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Stop_Response_, struct Stop_Response_Seq_uniq_> Stop_Response_Seq;
            typedef DDS_DCPSSequence_var < Stop_Response_Seq> Stop_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Stop_Response_Seq> Stop_Response_Seq_out;

            class  Stop_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Stop_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Stop_Response_TypeSupportInterface_var _var_type;

                static Stop_Response_TypeSupportInterface_ptr _duplicate (Stop_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Stop_Response_TypeSupportInterface () {};
                ~Stop_Response_TypeSupportInterface () {};
            private:
                Stop_Response_TypeSupportInterface (const Stop_Response_TypeSupportInterface &);
                Stop_Response_TypeSupportInterface & operator = (const Stop_Response_TypeSupportInterface &);
            };

            class  Stop_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Stop_Response_DataWriter_ptr _ptr_type;
                typedef Stop_Response_DataWriter_var _var_type;

                static Stop_Response_DataWriter_ptr _duplicate (Stop_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Stop_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Stop_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Response_& instance_data) = 0;

            protected:
                Stop_Response_DataWriter () {};
                ~Stop_Response_DataWriter () {};
            private:
                Stop_Response_DataWriter (const Stop_Response_DataWriter &);
                Stop_Response_DataWriter & operator = (const Stop_Response_DataWriter &);
            };

            class  Stop_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Stop_Response_DataReader_ptr _ptr_type;
                typedef Stop_Response_DataReader_var _var_type;

                static Stop_Response_DataReader_ptr _duplicate (Stop_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Response_& instance) = 0;

            protected:
                Stop_Response_DataReader () {};
                ~Stop_Response_DataReader () {};
            private:
                Stop_Response_DataReader (const Stop_Response_DataReader &);
                Stop_Response_DataReader & operator = (const Stop_Response_DataReader &);
            };

            class  Stop_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Stop_Response_DataReaderView_ptr _ptr_type;
                typedef Stop_Response_DataReaderView_var _var_type;

                static Stop_Response_DataReaderView_ptr _duplicate (Stop_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Stop_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Stop_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Stop_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Stop_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Stop_Response_& instance) = 0;

            protected:
                Stop_Response_DataReaderView () {};
                ~Stop_Response_DataReaderView () {};
            private:
                Stop_Response_DataReaderView (const Stop_Response_DataReaderView &);
                Stop_Response_DataReaderView & operator = (const Stop_Response_DataReaderView &);
            };
            class Sample_Stop_Request_TypeSupportInterface;

            typedef Sample_Stop_Request_TypeSupportInterface * Sample_Stop_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Request_TypeSupportInterface> Sample_Stop_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Request_TypeSupportInterface> Sample_Stop_Request_TypeSupportInterface_out;


            class Sample_Stop_Request_DataWriter;

            typedef Sample_Stop_Request_DataWriter * Sample_Stop_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Request_DataWriter> Sample_Stop_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Request_DataWriter> Sample_Stop_Request_DataWriter_out;


            class Sample_Stop_Request_DataReader;

            typedef Sample_Stop_Request_DataReader * Sample_Stop_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Request_DataReader> Sample_Stop_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Request_DataReader> Sample_Stop_Request_DataReader_out;


            class Sample_Stop_Request_DataReaderView;

            typedef Sample_Stop_Request_DataReaderView * Sample_Stop_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Request_DataReaderView> Sample_Stop_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Request_DataReaderView> Sample_Stop_Request_DataReaderView_out;

            struct Sample_Stop_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_Stop_Request_, struct Sample_Stop_Request_Seq_uniq_> Sample_Stop_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_Stop_Request_Seq> Sample_Stop_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Stop_Request_Seq> Sample_Stop_Request_Seq_out;

            class  Sample_Stop_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Stop_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Stop_Request_TypeSupportInterface_var _var_type;

                static Sample_Stop_Request_TypeSupportInterface_ptr _duplicate (Sample_Stop_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Stop_Request_TypeSupportInterface () {};
                ~Sample_Stop_Request_TypeSupportInterface () {};
            private:
                Sample_Stop_Request_TypeSupportInterface (const Sample_Stop_Request_TypeSupportInterface &);
                Sample_Stop_Request_TypeSupportInterface & operator = (const Sample_Stop_Request_TypeSupportInterface &);
            };

            class  Sample_Stop_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Stop_Request_DataWriter_ptr _ptr_type;
                typedef Sample_Stop_Request_DataWriter_var _var_type;

                static Sample_Stop_Request_DataWriter_ptr _duplicate (Sample_Stop_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Stop_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Stop_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Stop_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Stop_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Request_& instance_data) = 0;

            protected:
                Sample_Stop_Request_DataWriter () {};
                ~Sample_Stop_Request_DataWriter () {};
            private:
                Sample_Stop_Request_DataWriter (const Sample_Stop_Request_DataWriter &);
                Sample_Stop_Request_DataWriter & operator = (const Sample_Stop_Request_DataWriter &);
            };

            class  Sample_Stop_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Stop_Request_DataReader_ptr _ptr_type;
                typedef Sample_Stop_Request_DataReader_var _var_type;

                static Sample_Stop_Request_DataReader_ptr _duplicate (Sample_Stop_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Request_& instance) = 0;

            protected:
                Sample_Stop_Request_DataReader () {};
                ~Sample_Stop_Request_DataReader () {};
            private:
                Sample_Stop_Request_DataReader (const Sample_Stop_Request_DataReader &);
                Sample_Stop_Request_DataReader & operator = (const Sample_Stop_Request_DataReader &);
            };

            class  Sample_Stop_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Stop_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_Stop_Request_DataReaderView_var _var_type;

                static Sample_Stop_Request_DataReaderView_ptr _duplicate (Sample_Stop_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Stop_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Stop_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Request_& instance) = 0;

            protected:
                Sample_Stop_Request_DataReaderView () {};
                ~Sample_Stop_Request_DataReaderView () {};
            private:
                Sample_Stop_Request_DataReaderView (const Sample_Stop_Request_DataReaderView &);
                Sample_Stop_Request_DataReaderView & operator = (const Sample_Stop_Request_DataReaderView &);
            };
            class Sample_Stop_Response_TypeSupportInterface;

            typedef Sample_Stop_Response_TypeSupportInterface * Sample_Stop_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Response_TypeSupportInterface> Sample_Stop_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Response_TypeSupportInterface> Sample_Stop_Response_TypeSupportInterface_out;


            class Sample_Stop_Response_DataWriter;

            typedef Sample_Stop_Response_DataWriter * Sample_Stop_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Response_DataWriter> Sample_Stop_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Response_DataWriter> Sample_Stop_Response_DataWriter_out;


            class Sample_Stop_Response_DataReader;

            typedef Sample_Stop_Response_DataReader * Sample_Stop_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Response_DataReader> Sample_Stop_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Response_DataReader> Sample_Stop_Response_DataReader_out;


            class Sample_Stop_Response_DataReaderView;

            typedef Sample_Stop_Response_DataReaderView * Sample_Stop_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Stop_Response_DataReaderView> Sample_Stop_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Stop_Response_DataReaderView> Sample_Stop_Response_DataReaderView_out;

            struct Sample_Stop_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_Stop_Response_, struct Sample_Stop_Response_Seq_uniq_> Sample_Stop_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_Stop_Response_Seq> Sample_Stop_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Stop_Response_Seq> Sample_Stop_Response_Seq_out;

            class  Sample_Stop_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Stop_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Stop_Response_TypeSupportInterface_var _var_type;

                static Sample_Stop_Response_TypeSupportInterface_ptr _duplicate (Sample_Stop_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Stop_Response_TypeSupportInterface () {};
                ~Sample_Stop_Response_TypeSupportInterface () {};
            private:
                Sample_Stop_Response_TypeSupportInterface (const Sample_Stop_Response_TypeSupportInterface &);
                Sample_Stop_Response_TypeSupportInterface & operator = (const Sample_Stop_Response_TypeSupportInterface &);
            };

            class  Sample_Stop_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Stop_Response_DataWriter_ptr _ptr_type;
                typedef Sample_Stop_Response_DataWriter_var _var_type;

                static Sample_Stop_Response_DataWriter_ptr _duplicate (Sample_Stop_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Stop_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Stop_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Stop_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Stop_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Response_& instance_data) = 0;

            protected:
                Sample_Stop_Response_DataWriter () {};
                ~Sample_Stop_Response_DataWriter () {};
            private:
                Sample_Stop_Response_DataWriter (const Sample_Stop_Response_DataWriter &);
                Sample_Stop_Response_DataWriter & operator = (const Sample_Stop_Response_DataWriter &);
            };

            class  Sample_Stop_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Stop_Response_DataReader_ptr _ptr_type;
                typedef Sample_Stop_Response_DataReader_var _var_type;

                static Sample_Stop_Response_DataReader_ptr _duplicate (Sample_Stop_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Response_& instance) = 0;

            protected:
                Sample_Stop_Response_DataReader () {};
                ~Sample_Stop_Response_DataReader () {};
            private:
                Sample_Stop_Response_DataReader (const Sample_Stop_Response_DataReader &);
                Sample_Stop_Response_DataReader & operator = (const Sample_Stop_Response_DataReader &);
            };

            class  Sample_Stop_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Stop_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_Stop_Response_DataReaderView_var _var_type;

                static Sample_Stop_Response_DataReaderView_ptr _duplicate (Sample_Stop_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Stop_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Stop_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Stop_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Stop_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Stop_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Stop_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Stop_Response_& instance) = 0;

            protected:
                Sample_Stop_Response_DataReaderView () {};
                ~Sample_Stop_Response_DataReaderView () {};
            private:
                Sample_Stop_Response_DataReaderView (const Sample_Stop_Response_DataReaderView &);
                Sample_Stop_Response_DataReaderView & operator = (const Sample_Stop_Response_DataReaderView &);
            };
        }

    }

}

#endif
